
//Находим главный div (он уже присутствует на главной странице приложения) и устанавливаем его атрибут 'id'. Он позиционируется фиксированно. 
//В него вставляется блок contentIframe для содержания, который затем абсолютно позиционируются относительно него.
var mainBlock = document.getElementById('mainBlock');

//Находим наш фрейм. 
var contentIframe = document.getElementById('contentIframe');

//Создаем div для меню навигации и устанавливаем его атрибут 'id'. 
var navMenu = mL.createElement('div', ['id', 'navMenu']);
//Добавляем меню в тело документа приложения.
document.body.appendChild(navMenu);

//Устанавливаем содержимое меню. Все пункты меню, т.е. div'ы, позиционируются абсолютно относительно самого меню
//В div'ы вставляются списки, но они не позиционируются. Положение задается через margins. Ссылки загружают документы в contentIframe.
navMenu.innerHTML = 	'<div id="belarusWord" title="Перейти на сайт">belarusweb.net</div>'+
							'<img id="pageBack" src="belarusweb_files/images/arrow_page_back.png" title="Назад">'+
							'<img id="circleStart" src="belarusweb_files/images/circle_start.png" title="Домой">'+
							'<img id="pageForward" src="belarusweb_files/images/arrow_page_forward.png" title="Вперед">'+
							
							'<div id="booksDiv">'+
								'<a href="css/css_textbook/css_textbook_content.html" target="contentIframe">Учебник</a>'+
							'</div>'+
							
							'<div id="exercisesDiv">'+
								'<a href="css/css_exercises/css_exercises_content.html" target="contentIframe">Задачник</a>'+
							'</div>'+
							
							'<div id="articlesDiv">'+
								'<a href="articles/articles_content.html" target="contentIframe">Статьи</a>'+
							'</div>'+
								
							'<div id="referencesDiv">'+
								'<a href="css/css_reference/css_reference_content.html" target="contentIframe">Справочник</a>'+
							'</div>';
								
							




	//Находим логотип
	var belarusWord = document.getElementById('belarusWord');
	//Вешаем обработчик перехода на сайт 
	belarusWord.addEventListener('click', function(){window.open("http://belarusweb.net");});
	
	//Находим стрелку 'назад'
	var pageBack = document.getElementById('pageBack');
	//Вешаем обработчик по клику
	pageBack.addEventListener('click', function(){history.back();});
	
	//Находим кружек 'домой'
	var circleStart = document.getElementById('circleStart');
	//Вешаем обработчик по клику
	circleStart.addEventListener('click', function(){location.href = 'home.html';});
	
	//Находим стрелку 'вперед'
	var pageForward = document.getElementById('pageForward');
	//Вешаем обработчик по клику
	pageForward.addEventListener('click', function(){history.forward();});
	
	
	//Находим меню учебников
	var booksDiv = document.getElementById('booksDiv');
	//Находим меню задачников
	var exercisesDiv = document.getElementById('exercisesDiv');
	//Находим кнопку статей
	var articlesDiv = document.getElementById('articlesDiv');
	//Находим меню справочников
	var referencesDiv = document.getElementById('referencesDiv');
	


	
	//Вешаем обработчики события 'pageshow' на окно документа.  Наступает после 'load'.
	//Подразумевается window.addEventListener(). Через document.body  не добавляются ни resize, ни scroll.
	addEventListener('pageshow', mL.fixedAll);
	addEventListener('pageshow', mL.showDocument);
	
	addEventListener('resize', mL.fixedAll);




